# Uses of Class
it.tdlight.jni.TdApi.PersonalDocument

## Uses of TdApi.PersonalDocument in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PersonalDocument
Modifier and Type
Field
Description
`TdApi.PersonalDocument`
TdApi.PassportElementBankStatement.`bankStatement`
Bank statement.
`TdApi.PersonalDocument`
TdApi.PassportElementPassportRegistration.`passportRegistration`
Passport registration pages.
`TdApi.PersonalDocument`
TdApi.PassportElementRentalAgreement.`rentalAgreement`
Rental agreement.
`TdApi.PersonalDocument`
TdApi.PassportElementTemporaryRegistration.`temporaryRegistration`
Temporary registration.
`TdApi.PersonalDocument`
TdApi.PassportElementUtilityBill.`utilityBill`
Utility bill.
Constructors in it.tdlight.jni with parameters of type TdApi.PersonalDocument
Modifier
Constructor
Description
``
`PassportElementBankStatement(TdApi.PersonalDocument bankStatement)`
A Telegram Passport element containing the user's bank statement.
``
`PassportElementPassportRegistration(TdApi.PersonalDocument passportRegistration)`
A Telegram Passport element containing the user's passport registration pages.
``
`PassportElementRentalAgreement(TdApi.PersonalDocument rentalAgreement)`
A Telegram Passport element containing the user's rental agreement.
``
`PassportElementTemporaryRegistration(TdApi.PersonalDocument temporaryRegistration)`
A Telegram Passport element containing the user's temporary registration.
``
`PassportElementUtilityBill(TdApi.PersonalDocument utilityBill)`
A Telegram Passport element containing the user's utility bill.